%define major   8
%define libname %mklibname urcu %{major}
%define devname %mklibname urcu -d

Name:           userspace-rcu
Version:        0.15.2
Release:        %mkrel 1
Summary:        RCU (read-copy-update) implementation in user space
Group:          System/Libraries
License:        LGPLv2+
URL:            https://lttng.org/urcu/
Source0:        https://lttng.org/files/urcu/%{name}-%{version}.tar.bz2
Source1:        https://lttng.org/files/urcu/%{name}-%{version}.tar.bz2.asc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool


%description
This data synchronization library provides read-side access which scales
linearly with the number of cores. It does so by allowing multiples copies
of a given data structure to live at the same time, and by monitoring
the data structure accesses to detect grace periods after which memory
reclamation is possible.

%package -n     %{libname}
Summary:        RCU (read-copy-update) implementation in user space
Group:          System/Libraries
Obsoletes:      %{name} < 0.13.0-2
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
This data synchronization library provides read-side access which scales
linearly with the number of cores. It does so by allowing multiples copies
of a given data structure to live at the same time, and by monitoring
the data structure accesses to detect grace periods after which memory
reclamation is possible.

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Obsoletes:      %{name}-devel < 0.13.0-2
Provides:       %{name}-devel = %{version}-%{release}
# docs/examples moved to devel pkg
Conflicts:      %{_lib}urcu8 < 0.13.0-3
Conflicts:      %{name} < 0.13.0-2

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{name}.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

%check
#TODO greenscientist: make check currently fail in mockbuild
make check

%files -n %{libname}
%doc ChangeLog
%license LICENSES/*
%{_libdir}/liburcu*.so.%{major}{,.*}

%files -n %{devname}
%doc ChangeLog README.md
%doc %{_docdir}/%{name}/
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/liburcu*.pc


%changelog
* Wed Apr 16 2025 daviddavid <daviddavid> 0.15.2-1.mga10
+ Revision: 2175763
- new version: 0.15.2

* Wed Feb 19 2025 daviddavid <daviddavid> 0.15.1-1.mga10
+ Revision: 2149645
- new version: 0.15.1

* Fri Nov 22 2024 daviddavid <daviddavid> 0.14.1-1.mga10
+ Revision: 2118556
- new version: 0.14.1

* Fri Apr 26 2024 daviddavid <daviddavid> 0.14.0-1.mga10
+ Revision: 2061196
- new version: 0.14.0

* Fri Dec 30 2022 daviddavid <daviddavid> 0.13.2-1.mga9
+ Revision: 1928183
- new version: 0.13.2

* Wed Mar 16 2022 umeabot <umeabot> 0.13.0-4.mga9
+ Revision: 1794764
- Mageia 9 Mass Rebuild

* Wed Dec 01 2021 wally <wally> 0.13.0-3.mga9
+ Revision: 1760465
- move docs/examples to devel pkg

* Wed Dec 01 2021 wally <wally> 0.13.0-2.mga9
+ Revision: 1760446
- libify pkg

* Wed Dec 01 2021 tmb <tmb> 0.13.0-1.mga9
+ Revision: 1760419
- update to 0.13.0

* Wed Mar 03 2021 daviddavid <daviddavid> 0.12.2-1.mga9
+ Revision: 1696990
- new version: 0.12.2

* Thu Apr 23 2020 daviddavid <daviddavid> 0.12.1-1.mga8
+ Revision: 1571160
- new version: 0.12.1

* Wed Apr 15 2020 daviddavid <daviddavid> 0.12.0-1.mga8
+ Revision: 1567411
- new version: 0.12.0

* Sat Feb 15 2020 umeabot <umeabot> 0.11.1-2.mga8
+ Revision: 1527268
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jul 14 2019 daviddavid <daviddavid> 0.11.1-1.mga8
+ Revision: 1421180
- new version: 0.11.1

* Fri Feb 08 2019 daviddavid <daviddavid> 0.10.2-1.mga7
+ Revision: 1364153
- new version: 0.10.2

* Sun Sep 23 2018 umeabot <umeabot> 0.10.1-2.mga7
+ Revision: 1301551
- Mageia 7 Mass Rebuild

* Tue Feb 27 2018 daviddavid <daviddavid> 0.10.1-1.mga7
+ Revision: 1205435
- new version: 0.10.1

* Wed Jan 06 2016 spuhler <spuhler> 0.9.1-2.mga6
+ Revision: 920032
- changed %%configure to %%configure2_5x to make it build

* Wed Dec 23 2015 spuhler <spuhler> 0.9.1-1.mga6
+ Revision: 913675
- upgrade to vers 0.9.1
  * dropped 64bit patch.

* Thu Oct 08 2015 spuhler <spuhler> 0.8.6-1.mga6
+ Revision: 887797
- fix groups and add teh doc files
- first mga build, mgafied spec
- imported package userspace-rcu


* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 26 2015 Scott Tsai <scottt.tw@gmail.com> - 0.8.6-1
- New upstream release

* Sun Nov 02 2014 Suchakra Sharma <suchakra@fedoraproject.org> - 0.8.5-1
- New upstream release

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Marcin Juszkiewicz <mjuszkiewicz@redhat.com> - 0.8.1-3
- Use upstream patch for aarch64 (includes ppc64le too)

* Thu May 22 2014 Marcin Juszkiewicz <mjuszkiewicz@redhat.com> - 0.8.1-2
- Added AArch64 support

* Mon Feb 10 2014 Yannick Brosseau <yannick.brosseau@gmail.com> 0.8.1-1
- New upstream release

* Sat Jan 18 2014 Peter Robinson <pbrobinson@fedoraproject.org> 0.7.9-1
- Update to 0.7.9

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 05 2013 Yannick Brosseau <yannick.brosseau@gmail.com> - 0.7.7-1
- New upstream version

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Yannick Brosseau <yannick.brosseau@gmail.com> - 0.7.6-1
- New upstream version

* Tue Oct 23 2012 Yannick Brosseau <yannick.brosseau@gmail.com> - 0.7.5-1
- New upstream version 

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 14 2012 Yannick Brosseau <yannick.brosseau@gmail.com> - 0.7.3-1
- New upstream version (#828716)

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb 26 2010 Jan "Yenya" Kasprzak <kas@fi.muni.cz> 0.4.1-1
- new upstream version.

* Tue Oct 20 2009 Jan "Yenya" Kasprzak <kas@fi.muni.cz> 0.2.4-1
- Initial revision.
